%define upstream_name    Math-MatrixReal
%define upstream_version 2.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Manipulate NxN matrices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::Most)
BuildArch:  noarch

%description
*Semi-Rings*
    A Semi-Ring (S, +, ., 0, 1) is characterized by the following
    properties:

    * 1)

      a) '(S, +, 0) is a Semi-Group with neutral element 0'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CHANGES CREDITS GOALS META.json META.yml TODO example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.130.0-4.mga8
+ Revision: 1505121
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.130.0-3.mga7
+ Revision: 1284756
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.130.0-2.mga7
+ Revision: 1165365
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 2.130.0-1.mga7
+ Revision: 1156087
- update to 2.13

* Sun Jun 19 2016 pterjan <pterjan> 2.120.0-3.mga6
+ Revision: 1029685
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.120.0-2.mga6
+ Revision: 965853
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 2.120.0-1.mga6
+ Revision: 838603
- update to 2.12

* Sun Oct 19 2014 umeabot <umeabot> 2.110.0-4.mga5
+ Revision: 789500
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.110.0-3.mga5
+ Revision: 750151
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.110.0-2.mga5
+ Revision: 685369
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 2.110.0-1.mga5
+ Revision: 587335
- update to 2.11
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.90.0-2.mga3
+ Revision: 369628
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 10 2011 kharec <kharec> 2.90.0-1.mga2
+ Revision: 166341
- update to 2.09

* Tue Apr 12 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 83773
- update to 2.08

* Tue Jan 18 2011 jquelin <jquelin> 2.50.0-1.mga1
+ Revision: 22601
- cleaning spec file
- imported package perl-Math-MatrixReal


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 2.50.0-1mdv2011.0
+ Revision: 624855
- import perl-Math-MatrixReal

